# -*- encoding : utf-8 -*-
class TransactionJoinsMails < ActionMailer::Base
  layout 'mail2'
  
  default from: "Jipe <contact@le-petit-gravier.com>"


  def general(lang, partial, donate_transaction, options = {})
    @options = options
    
    @partial = partial
    @donator_transaction = donate_transaction
    @email = @donator_transaction.particular_bill.email
    @lang_slug = @donator_transaction.lang_site.slug
    if @donator_transaction.lang_site_id == 2
      @title = "Thank you for your request of membership"
    else
      @title = "Merci pour votre adhésion"
    end
    mail(:to => @email, :subject => @title)
  end

 

  
  
  
end
